<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelCheckAvailResult StructType
 * @subpackage Structs
 */
class JP_HotelCheckAvailResult extends AbstractStructBase
{
    /**
     * The HotelOptions
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_HotelOptionCheckAvail
     */
    public $HotelOptions;
    /**
     * Constructor method for JP_HotelCheckAvailResult
     * @uses JP_HotelCheckAvailResult::setHotelOptions()
     * @param \ArrayType\ArrayOfJP_HotelOptionCheckAvail $hotelOptions
     */
    public function __construct(\ArrayType\ArrayOfJP_HotelOptionCheckAvail $hotelOptions = null)
    {
        $this
            ->setHotelOptions($hotelOptions);
    }
    /**
     * Get HotelOptions value
     * @return \ArrayType\ArrayOfJP_HotelOptionCheckAvail|null
     */
    public function getHotelOptions()
    {
        return $this->HotelOptions;
    }
    /**
     * Set HotelOptions value
     * @param \ArrayType\ArrayOfJP_HotelOptionCheckAvail $hotelOptions
     * @return \StructType\JP_HotelCheckAvailResult
     */
    public function setHotelOptions(\ArrayType\ArrayOfJP_HotelOptionCheckAvail $hotelOptions = null)
    {
        $this->HotelOptions = $hotelOptions;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelCheckAvailResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
